Subject: git-buildpackage: save commit id in built packages

From: Thomas Koch <[email-masked]>
Date: Mon, 14 Jun 2010 11:10:39 +0200

Package: git-buildpackage
Version: 0.4.67
Severity: wishlist

Hi,

it would be nice, if git-buildpackage could provide an option to save
the commit id from which the package was build somewhere in the built
package.
I'm not sure, where the best place would be. It could be a separate file
in /usr/share/doc/PACKAGE, a note in the changelog, somewhere in the
..changes or .dsc files?
The file must be created/inserted on the fly during git-buildpackage [-b|-S]
invocation.
It must be possible to specify in gbp.conf that the file must be
created, so that I don't need to rely on my sponsor giving an option to
git-buildpackage.

-- System Information:
Debian Release: squeeze/sid
  APT prefers stable
  APT policy: (1000, 'stable'), (990, 'unstable'), (700, 'testing')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-4-amd64 (SMP w/2 CPU cores)
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages git-buildpackage depends on:
ii  devscripts                    2.10.64    scripts to make the life of a Debi
ii  git [git-core]                1:1.7.1-1  fast, scalable, distributed revisi
ii  git-core                      1:1.7.1-1  fast, scalable, distributed revisi
ii  python                        2.5.4-9    An interactive high-level object-o
ii  python-dateutil               1.4.1-3    powerful extensions to the standar
ii  python-support                1.0.8      automated rebuilding support for P

Versions of packages git-buildpackage recommends:
ii  pristine-tar                  1.03       regenerate pristine tarballs

Versions of packages git-buildpackage suggests:
pn  git-load-dirs                 <none>     (no description available)

-- Configuration Files:
/etc/git-buildpackage/gbp.conf changed [not included]

-- no debconf information

---

From: Guido Günther <[email-masked]>
Date: Mon, 12 Jul 2010 09:12:38 +0200

Hi Thomas,
this sounds like a worthwhile thing to have. Any chance you'd send a
patch?
 -- Guido